input[input-model][type=text], 
input[input-model][type=number], 
input[input-model][type="tel"],
input[input-model][type="password"] {
    border: 1px solid var(--diver);
    max-height: 46px;
    border-radius: var(--miniradius);
    padding: 13px 18px;
    font-size: 15px;
    font-weight: 500;
    flex: 1;
    transition: 300ms all ease;
    line-height: 46px;
    will-change: transform;
}
input[input-model]::placeholder{
    height:60px;
}
input:focus::placeholder, textarea[textarea-model]:focus::placeholder {
    opacity: 0.5;
}
input[input-model][type="password"] {
    padding-left: 50px;
}
.-medium-field-mode input[input-model][type=text],
.-medium-field-mode input[input-model][type=number],
.-medium-field-mode input[input-model][type="tel"],
.-medium-field-mode input[input-model][type="password"]{
    max-height: 44px;
    font-size: 13px;
}
.-simple-field-mode input[input-model][type=text],
.-simple-field-mode input[input-model][type=number],
.-simple-field-mode input[input-model][type="tel"],
.-simple-field-mode input[input-model][type="password"]{
    max-height: 42px;
    font-size: 13px;
}
input[input-model][type=number]::-webkit-outer-spin-button,
input[input-model][type=number]::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}
input[input-model][type=number] {
    -moz-appearance: textfield;
}
input[input-model][type=text][readonly] {
    background: #ffffff;
    position: relative;
    direction: ltr;
    font-family: var(--f-number);
    font-size: 14px;
    font-weight: 700;
    text-align: start;
    text-transform: capitalize;
}
input[input-model][type=text][readonly]::placeholder{
    font-family:var(--family);
    font-weight:500;
    text-align:end;
}

input[input-model][type=text][readonly] + .--YC-date-field-before-icon {
    position: absolute;
    left: 10px;
    display: flex;
    align-items: center;
    justify-content: center;
    --el: 23px;
    bottom: 12px;
    width: var(--el);
    height: var(--el);
    font-size: 20px;
    color: var(--secondarytext);
    font-weight: 500;
    pointer-events: none;
}

input[input-model][type=text][readonly] + .--YC-date-field-before-icon > i {
    font-weight: inherit;
}

input[input-model][type=text]:hover, 
.-YC-FM-inputs-area:hover > input[input-model][type=text], 
.-YC-FM-inputs-area:hover > textarea[textarea-model],
.-YC-FM-inputs-area:hover > .-input-password-ivid > input[input-model][type="password"] {
    border-color: #87868d;
}

input[input-model][type=text]:focus,
input[input-model][type=number]:focus,
input[input-model][type="password"]:focus {
    border-color: var(--uicolor2) !important;
    box-shadow: 0 0 0 1.4px var(--uicolor2), 0 5px 15px 3px #00000003;
    outline: 0;
}
.-YC-FM-inputs-area.-pleasefill input[input-model][type=text], 
.-YC-FM-inputs-area.-pleasefill input[input-model][type=number], 
.-YC-FM-inputs-area.-pleasefill input[input-model][type="password"], 
.-YC-FM-inputs-area.-pleasefill .-selectbox-button {
    border-color: var(--negative) !important;
}
input[input-model][type="password"], [data-field-type="Password"] input[type="text"] {
    padding-left: 50px;
}